## python-plac 1.3.4

=== Makefile ===
.PHONY: \
  default \
  dist \
  upload \
  test \
  clean

default:
	sphinx-build doc docs

dist: plac_core.py plac_ext.py
	python setup.py build sdist bdist_wheel

upload:
	rm -rf build/* dist/*
	python setup.py sdist bdist_wheel
	python -m twine upload --repository pypi dist/*

test:
	python doc/test_plac.py

clean:
	rm -rf docs/

## python-plac 0.9.6

=== debian/changelog ===
python-plac (0.9.6-1) unstable; urgency=low

  * Initial release. (Closes: #901201)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Nov 2018 12:04:17 +0100

=== debian/control ===
Source: python-plac
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Mo Zhou <cdluminate@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-pytest,
               python3-sqlsoup
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-plac
Vcs-Git: https://salsa.debian.org/python-team/modules/python-plac.git
Homepage: https://github.com/micheles/plac

Package: python3-plac
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Smartest command line arguments parser in the world
 Technically plac is just a simple wrapper over argparse which hides most
 of its complexity by using a declarative interface: the argument parser
 is inferred rather than written down by imperatively.
 .
 plac is targetting especially unsophisticated users, programmers,
 sys-admins, scientists and in general people writing throw-away scripts
 for themselves, choosing the command-line isurprisingly scalable upwards,
 even without using the underlying argparse.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = plac
export PYBUILD_DISABLE_python2 = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	dh_auto_configure
	cp -a plac_runner.py plac_runner
	find . -type f ! -path '*debian*' ! -path '*.git*' -exec \
		sed -i -e s/plac_runner.py/plac_runner/g '{}' +

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test || true
endif

override_dh_auto_install:
	dh_auto_install
	find . -type d -name '__pycache__' -exec rm -rf {} +

=== debian/tests/control ===
Test-Command: python3 -c "import plac; print(plac)"
Depends: @

Test-Command: py.test-3 doc || true
Depends: @, python3-pytest

## python-plac 1.3.4

=== debian/changelog ===
python-plac (1.3.4-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Bump debhelper from old 11 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.

  [ Paul Wise ]
  * New upstream release (Closes: #972065)
    - Add new setuptools build dependency
  * Drop build dependency on obsolete unmaintained SQLSoup (Closes: #999639)
  * Wrap and sort Debian packaging information
  * plac moved to a new upstream maintainer, update URLs
  * Stop ignoring the results of the tests
  * Mark the import test as superficial
  * Drop lintian overrides since they are valid
  * Switch the watch file to GitHub tags page
  * Declare compliance with Debian Policy 4.6.0, no changes needed
  * Add more upstream metadata
  * Drop deviation from upstream plac_runner.py naming
  * Copy the doc dir for the tests since the tests are in there
  * Copy the plac_runner the tests since the tests use it
  * Fix package description typos
  * Make the tests print something unless terse mode is enabled
  * Update copyright holders for the Debian packaging
  * Document that the build does not require root
  * Drop doc-base file as the PDF has been removed upstream
    and the HTML version of the documentation isn't built by Debian

 -- Paul Wise <pabs@debian.org>  Mon, 06 Dec 2021 16:22:42 +0800

=== debian/control ===
Source: python-plac
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-pytest,
 python3-setuptools,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-plac
Vcs-Git: https://salsa.debian.org/python-team/packages/python-plac.git
Homepage: https://github.com/ialbert/plac

Package: python3-plac
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Smartest command line arguments parser in the world
 Technically plac is just a simple wrapper over argparse which hides most
 of its complexity by using a declarative interface: the argument parser
 is inferred rather than written down imperatively.
 .
 plac is targetting especially unsophisticated users, programmers,
 sys-admins, scientists and in general people writing throw-away scripts
 for themselves, choosing the command-line is surprisingly scalable upwards,
 even without using the underlying argparse.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = plac
export PYBUILD_DISABLE_python2 = 1
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export PYBUILD_TEST_ARGS = -vv
endif

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	find . -type d -name '__pycache__' -exec rm -rf {} +

=== debian/watch ===
version=4
https://github.com/ialbert/plac/tags \
.*/(?:v|plac-)?(\d[.\d]+)@ARCHIVE_EXT@

## python-plac 1.3.5

=== debian/changelog ===
python-plac (1.3.5-1) unstable; urgency=medium

  * New upstream release.
  * - Removes non-deterministic test (Closes: #1006999)

 -- Paul Wise <pabs@debian.org>  Thu, 31 Mar 2022 10:54:48 +0800

## python-plac 1.4.1

=== Makefile ===
--- 
+++ 
@@ -11,13 +11,13 @@
 dist: plac_core.py plac_ext.py
 	python setup.py build sdist bdist_wheel
 
-upload:
+pypi:
 	rm -rf build/* dist/*
 	python setup.py sdist bdist_wheel
 	python -m twine upload --repository pypi dist/*
 
 test:
-	python doc/test_plac.py
+	python -W error doc/test_plac.py
 
 clean:
 	rm -rf docs/

=== debian/changelog ===
python-plac (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.1 (Closes: #1040087)
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Add patch for importing missing module
  * Add manpage for plac_runner
  * Add lintian override for script with extension warning

 -- Ananthu C V <weepingclown@disroot.org>  Sat, 09 Dec 2023 18:26:39 +0530

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-all,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-plac
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-plac.git

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,7 @@
 override_dh_auto_install:
 	dh_auto_install
 	find . -type d -name '__pycache__' -exec rm -rf {} +
+
+# recognize file.<ext>.1 format
+override_dh_installman:
+	dh_installman --language=C

## python-plac 1.4.3

=== Makefile ===
--- 
+++ 
@@ -19,5 +19,8 @@
 test:
 	python -W error doc/test_plac.py
 
+generate:
+	python -W error doc/generate_help.py
+
 clean:
 	rm -rf docs/

=== debian/changelog ===
python-plac (1.4.3-2) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-python3
  * Remove ref. to Python2 from debian/rules

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Dec 2024 16:04:45 +0100

python-plac (1.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fix for Python 3.13 changing the output formats (closes: #1082249).

 -- Colin Watson <cjwatson@debian.org>  Tue, 05 Nov 2024 12:36:43 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-pytest,
  python3-setuptools,

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = plac
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export PYBUILD_TEST_ARGS = -vv
endif

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	find . -type d -name '__pycache__' -exec rm -rf {} +

# recognize file.<ext>.1 format
override_dh_installman:
	dh_installman --language=C

## python-plac 1.4.5

=== debian/changelog ===
python-plac (1.4.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/watch: Bump file to version 5, rewrite the source of the files.
  * debian/control: Update to latest conventions
    - Bump Standards-Version to 4.7.2 (no changes needed).
    - Remove unused Rules-Requires-Root.
    - Move python3-pytest to Build-Depends-Indep.
    - Duplicate tests in autopkgtest.
    - Rewrite the text for better reading.
  * debian/copyright: Update stanzas with copyright information
    - Add Manuel Guerra to 'debian/*' stanzas.
    - Add email to upstream author in '*' stanzas.
    - Fit text to a better read.
  * debian/rules: Update the rules implementation
    - Reformulate rules to get reproducibility.
    - Build and install HTML documentation.
  * debian/docs: Update file to prevent installation of entire doc directory
    - Remove installation of entire doc/ directory inside documentation because
      the doc/ directory contains test, examples and documentation files.
    - Install README.md file.
  * debian/install: Install HTML documentation.
  * debian/doc-base: Add doc-base file.
  * debian/clean: Clean generated documentation.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Mon, 29 Sep 2025 16:04:45 -0400

=== debian/control ===
Source: python-plac
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python3-pytest <!nocheck>,
                     python3-sphinx <!nodoc>,
                     python3-sphinx-rtd-theme <!nodoc>
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-plac
Vcs-Git: https://salsa.debian.org/python-team/packages/python-plac.git
Homepage: https://github.com/ialbert/plac

Package: python3-plac
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Smartest command line arguments parser in the world
 Technically plac is just a simple wrapper over argparse which hides most
 of its complexity by using a declarative interface: the argument parser
 is inferred rather than written down imperatively.
 .
 plac is targetting especially unsophisticated users, programmers,
 sys-admins, scientists and in general people writing throw-away scripts
 for themselves, choosing the command-line is surprisingly scalable upwards,
 even without using the underlying argparse.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = plac

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export PYBUILD_TEST_ARGS = -vv
endif

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
 # Build HTML documentation with Sphinx
	dh_auto_build
	if [ -f doc/conf.py ]; then \
	    mkdir -p doc/_build/html; \
	    sphinx-build -b html -D html_theme=alabaster \
	        -A today="" -A release="" -A version="" \
	        doc doc/_build/html || echo "Documentation build failed, continuing..."; \
	    rm -rf doc/_build/html/.doctrees; \
	    rm -rf doc/_build/html/_sources; \
	    rm -f doc/_build/html/_static/doctools.js; \
	    rm -f doc/_build/html/_static/language_data.js; \
	    rm -f doc/_build/html/_static/searchtools.js; \
	fi

execute_after_dh_auto_install:
	find . -type d -name '__pycache__' -exec rm -rf {} +

 # Force deterministic order by recompiling bytecode
	if [ -d debian/python3-plac ]; then \
	    find debian/python3-plac -name '*.pyc' -delete; \
	    find debian/python3-plac -name '*.pyo' -delete; \
	    find debian/python3-plac -name '__pycache__' -type d -exec rm -rf {} +; \
	    PYTHONHASHSEED=1 python3 -m compileall -q -f debian/python3-plac; \
	fi

 # Recognize file.<ext>.1 format
override_dh_installman:
	dh_installman --language=C

=== debian/tests/control ===
Test-Command: python3 -c "import plac; print(plac)"
Restrictions: superficial
Depends:
 @,

Test-Command: py.test-3 doc
Depends:
 python3-pytest,
 @,

=== debian/watch ===
Version: 5

Template: Github
Owner: ialbert
Project: plac
